Bug 838806 - [abrt] gjs-1.32.0-1.fc17: Process /usr/bin/gjs-console was killed by signal 11 (SIGSEGV)
[abrt] gjs-1.32.0-1.fc17: Process /usr/bin/gjs-console was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:b39c38889b5adb09fdf52b0a9c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 04:04 EDT by Peter Omolo
Modified: 2013-08-01 09:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:08:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (15.18 KB, text/plain)
2012-07-10 04:04 EDT, Peter Omolo
no flags Details
File: build_ids (5.33 KB, text/plain)
2012-07-10 04:04 EDT, Peter Omolo
no flags Details
File: backtrace (33.09 KB, text/plain)
2012-07-10 04:05 EDT, Peter Omolo
no flags Details
File: maps (42.00 KB, text/plain)
2012-07-10 04:05 EDT, Peter Omolo
no flags Details

  None (edit)
Description Peter Omolo 2012-07-10 04:04:47 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();'
crash_function: _clutter_input_device_reset_axes
executable:     /usr/bin/gjs-console
kernel:         3.4.4-3.fc17.i686.PAE
pid:            30771
pwd:            /home/petes
time:           Tue 10 Jul 2012 08:56:30 EAT
uid:            1000
username:       petes

backtrace:      Text file, 33889 bytes
build_ids:      Text file, 5453 bytes
dso_list:       Text file, 15540 bytes
maps:           Text file, 43010 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/petes/2

core_backtrace:
:3bcdde9c571779f352c54297191119634c164aad 0x7948b - libclutter-1.0.so.0 -
:3bcdde9c571779f352c54297191119634c164aad 0x2d6ec - libclutter-1.0.so.0 -
:3bcdde9c571779f352c54297191119634c164aad 0xc3d54 - libclutter-1.0.so.0 -
:3bcdde9c571779f352c54297191119634c164aad 0x5a24e - libclutter-1.0.so.0 -
:3bcdde9c571779f352c54297191119634c164aad 0x24d6d - libclutter-1.0.so.0 -
:3bcdde9c571779f352c54297191119634c164aad 0x5ba53 - libclutter-1.0.so.0 -
:3bcdde9c571779f352c54297191119634c164aad 0x270b8 clutter_x11_handle_event libclutter-1.0.so.0 -
:a96ba2c2c05f5bca55c50b58af0f2e2ca9289b62 0x5f6c - libclutter-gtk-1.0.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x4587d - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x45a7c - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x18d8e gdk_display_get_event libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x4575b - libgdk-3.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x98c04 g_application_run libgio-2.0.so.0 -
:9aea670864d2a34a222fd110376f7946b702de7c 0x461a ffi_call_SYSV libffi.so.5 -
:9aea670864d2a34a222fd110376f7946b702de7c 0x4381 ffi_call libffi.so.5 -
:e98236d2f3469b3e9e4e9addb3f6cef01b956cf8 0x215d1 - libgjs.so.0 -
:e98236d2f3469b3e9e4e9addb3f6cef01b956cf8 0x22d80 - libgjs.so.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xbfd5c - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xa9223 - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xbddc4 - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xbe9e6 - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0x33002 JS_EvaluateUCScriptForPrincipals libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0x33344 JS_EvaluateUCScript libmozjs185.so.1.0 -
:e98236d2f3469b3e9e4e9addb3f6cef01b956cf8 0xe88e gjs_context_eval libgjs.so.0 -
:999fd942b1bf7c985a4ac52a3c4881e1f442bd62 0xc56 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:LC_MONETARY=en_GB.utf8
:HOSTNAME=Akatsuki
:GIO_LAUNCHED_DESKTOP_FILE_PID=30769
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/petes/keyring-RHU5Zh/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1473-Akatsuki-gnome-documents-6_TIME33931740
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=en_GB.utf8
:GNOME_KEYRING_CONTROL=/run/user/petes/keyring-RHU5Zh
:QTDIR=/usr/lib/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=petes
:LD_LIBRARY_PATH=/usr/lib/gnome-documents
:SSH_AUTH_SOCK=/run/user/petes/keyring-RHU5Zh/ssh
:GJS_PATH=/usr/share/gnome-documents/js
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1255,unix/unix:/tmp/.ICE-unix/1255
:USERNAME=petes
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-documents.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/petes/.local/bin:/home/petes/bin
:MAIL=/var/spool/mail/petes
:QT_IM_MODULE=xim
:PWD=/home/petes
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1251
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:LC_MEASUREMENT=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/petes
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=petes
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-56kSLNNxQG,guid=5ac2b0d7fbff4167b5ac11a800000032
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:GI_TYPELIB_PATH=/usr/lib/gnome-documents/girepository-1.0
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/petes
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:LC_TIME=en_GB.utf8
:XAUTHORITY=/var/run/gdm/auth-for-petes-NTJjLy/database
:CCACHE_HASHDIR=
:_=/usr/bin/gjs-console

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15914                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15914                15914                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/petes/.xsession-errors
:pos:	117601
:flags:	02002
:2:/home/petes/.xsession-errors
:pos:	117601
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1563572]
:pos:	0
:flags:	02004002
:6:socket:[1563569]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:/home/petes/.thumbnails/normal/89ba661ef3b3c0d708f794968dec8c50.png
:pos:	6254
:flags:	0100000
:9:socket:[1563573]
:pos:	0
:flags:	02004002
:10:/dev/dri/card0
:pos:	0
:flags:	02
:11:/home/petes/.cache/tracker/meta.db
:pos:	55296
:flags:	02100000
:12:/home/petes/.cache/tracker/meta.db-wal
:pos:	602632
:flags:	02100002
:13:/home/petes/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:14:anon_inode:inotify
:pos:	0
:flags:	02004000
:15:socket:[1564485]
:pos:	0
:flags:	02004002
:16:/dev/urandom
:pos:	0
:flags:	02100000
:17:/home/petes/.thumbnails/normal/3f72aa26954cd96a46dcbac0f3664621.png
:pos:	16791
:flags:	0100000
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:/home/petes/.thumbnails/normal/26f8473924b69bb2b163b417bcefad4d.png
:pos:	8004
:flags:	0100000
:20:/home/petes/.thumbnails/normal/fdc7d4bf8b528e299e832e96c2b5cec8.png
:pos:	5837
:flags:	0100000
:21:/home/petes/.thumbnails/normal/69620aa671af18aa2d5f62e6c4403bde.png
:pos:	2691
:flags:	0100000
:22:/home/petes/.thumbnails/normal/f0fe8c88ccdaff6568570678eb84a09f.png
:pos:	9261
:flags:	0100000
:23:/home/petes/.thumbnails/normal/ae877a71f3e01c2bcd2d84f055324f1a.png
:pos:	3422
:flags:	0100000
:24:/home/petes/.thumbnails/normal/68eb82012a2643dfba20d4d25d9f1f27.png
:pos:	3129
:flags:	0100000
:25:/home/petes/.thumbnails/normal/b0446c2fc327ee5c1dd2b7f29542d97a.png
:pos:	3531
:flags:	0100000
:26:/home/petes/.thumbnails/normal/fbd5d8d93b5657f06b8be31cc3b3774c.png
:pos:	3569
:flags:	0100000
:27:/home/petes/.thumbnails/normal/ac4847d1d61c2ef069d1bddcb307fb7b.png
:pos:	2894
:flags:	0100000
:28:/home/petes/.thumbnails/normal/3158a6a5fd226c646a9a0ddae8077c87.png
:pos:	2317
:flags:	0100000
:29:/home/petes/.thumbnails/normal/c2df860585aba77c1b284c14bfe2b5f9.png
:pos:	2313
:flags:	0100000
:30:/home/petes/.thumbnails/normal/6e7cd9dd1813187e0513d7286e565dd2.png
:pos:	2477
:flags:	0100000

var_log_messages:
:Jul 10 08:56:30 Akatsuki kernel: [73080.520487] gjs-console[30771]: segfault at 68 ip 4536a48b sp bfe10cd0 error 4 in libclutter-1.0.so.0.1000.8[452f1000+12e000]
:Jul 10 08:56:38 Akatsuki abrt[9678]: Saved core dump of pid 30771 (/usr/bin/gjs-console) to /var/spool/abrt/ccpp-2012-07-10-08:56:30-30771 (135274496 bytes)
Comment 1 Peter Omolo 2012-07-10 04:04:53 EDT
Created attachment 597236 [details]
File: dso_list
Comment 2 Peter Omolo 2012-07-10 04:04:56 EDT
Created attachment 597237 [details]
File: build_ids
Comment 3 Peter Omolo 2012-07-10 04:05:05 EDT
Created attachment 597238 [details]
File: backtrace
Comment 4 Peter Omolo 2012-07-10 04:05:09 EDT
Created attachment 597239 [details]
File: maps
Comment 5 Fedora End Of Life 2013-07-04 00:18:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:08:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.